uhd_find_devices(1)

NAME
uhd_find_devices - USRP Hardware Driver Discovery Utility

DESCRIPTION
Find UHD-supporting Ettus Research products attached by USB, network or embedded configuration.

The UHD package is the universal hardware driver for Ettus Research products. The goal is to provide a host driver and API for current and future Ettus Research products. Users will be able to use the UHD driver standalone or with 3rd party applications.

SYNOPSIS
uhd_find_devices [OPTIONS]

OPTIONS

Device Address Arguments:
    --args arg

This help information:
    --help

IDENTIFYING DEVICES

Devices are addressed through key/value string pairs. These string pairs can be used to narrow down the search for a specific device or group of devices. Most UHD utility applications and examples have a --args parameter that takes a device address, where the device address is expressed as a delimited string. See the documentation in types/device_addr.hpp for reference.

Every device has several ways of identifying it on the host system.

  Identifying by hardware identifier

All Ettus Research devices can be found through their hardware series identifier, which match to devices as follows:

Argument | Device

type=usrp1 | USRP1

type=usrp2 | USRP2, USRP N200, USRP N210

type=b100 | USRP B100

type=b200 | USRP B200, USRP B210

type=e3x0 | USRP E310

type=x300 | USRP X300, USRP X310

type=octoclock | OctoClock

  Identifying by serial number

All Ettus Research devices are given a unique serial number, which can be used to identify a device as follows:

serial=12345678

  Identifying by IP address

USRP2, USRP N200, USRP N210, USRP X300, USRP X310, and OctoClock devices connected to the host machine can all be found through their IP addresses, as follows:

addr=192.168.10.2

  Identifying by name

Users have the option of giving their devices short names using the usrp_burn_mb_eeprom and octoclock_burn_eeprom utilities in lib/uhd/utils. Devices that have been given a name can be identified as follows:

name=foo

EXAMPLES

  Device discovery via command line

Device address arguments can be supplied to narrow the scope of the search.

uhd_find_devices --args="type=usrp1"

-- OR --

uhd_find_devices --args="serial=12345678"

Find all devices available to this system:
    uhd_find_devices

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

uhd_usrp_probe(1)

AUTHOR
This manual page was written by Maitland Bottoms and Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2010-2022 Ettus Research, A National Instruments Brand

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.